/* constants for controlling the uOLED-160-GMD1 
  
   some of the commands are the same across a range of devices 
   like the uLCD and uVGA
   
*/   

#define OLED_BAUDRATE	250000


#define OLED_WIDTH   160
#define OLED_HEIGHT   128

#define OLED_ACK   0x06  // ACK
#define OLED_NACK   0x15  // NACK
#define OLED_BAUD_DETECT   0x55 // send as first byte to sync baudrate @ powerup

#define OLED_SPCMD   0x24 // access the special command set
#define OLED_EXTCMD   0x40 // access the extended command set

#define OLED_ADD_USR_CHAR   0x41  // add a user defined bitmap character 8x8 bits
#define OLED_BACKGROUND   0x42 // set the background colour (16bit colour)
#define OLED_CIRCLE   0x43 // draw a circle (x, y, rad, 16bit colour)
#define OLED_USR_CHAR   0x44 
#define OLED_ERASE   0x45
#define OLED_FONT_SIZE   0x46
#define OLED_TRIANGLE   0x47
#define OLED_IMAGE   0x49 
#define OLED_LINE   0x4C
#define OLED_FONT_OPAQUE   0x4F
#define OLED_PIXEL   0x50
#define OLED_READ_PIXEL   0x52
#define OLED_STRING_UNFORMAT   0x53
#define OLED_CHAR_FORMAT   0x54 // place text char
#define OLED_CHAR_UNFORMAT   0x74 
#define OLED_STRING_FORMAT   0x73

#define OLED_VERSION   0x56 // request device and version info



#define OLED_DISPLAY_CTRL   0x59
#define OLED_CTRL_BACKLIGHT   0x00

#define OLED_CTRL_DISPLAY   0x01
#define OLED_DISPLAY_OFF   0x00 // low power
#define OLED_DISPLAY_ON   0x01

#define OLED_CTRL_CONTRAST   0x02
#define OLED_MAX_CONTRAST   15 // 0..15

#define OLED_CTRL_POWER   0x03
#define OLED_POWER_DOWN   0x00 // shutdown properly to preserve display life
#define OLED_POWER_UP   0x01


#define OLED_FONT_5x7   0x00
#define OLED_FONT_8x8   0x01
#define OLED_FONT_8x12   0x02



#define OLED_BUTTON   0x62 /* draw a button (state{0 up,1 down}, x, y, button_clr,
                              font_size, text_clr, textwidth, textheight, string, 0x00)*/
                              
#define OLED_BLK_COPY   0x63 /* copy a block and paste it elsewhere 
                                (x1, y1, x2, y2, dest_x, dest_y)  */

#define OLED_POLYGON   0x67

#define OLED_PEN_SIZE   0x70
#define OLED_RECTANGLE   0x72


/* direct scroll register control */
#define OLED_SPCMD       0x24 // $

#define OLED_SPCMD_SCROLL_CTRL  0x53 // 
#define OLED_REG_SCROLL         0x00 // scroll control
#define _OLED_SCROLL_OFF        0x00 // scroll off
#define _OLED_SCROLL_ON         0x01 // scroll on

#define OLED_REG_SCROLL_DIR     0x01 // direction 
#define _OLED_SCROLL_LEFT       0x00 // left
#define _OLED_SCROLL_RIGHT      0x01 // right

#define OLED_REG_SCROLL_SPD     0x02 // speed 0 to 7 





